Package org.lwjgl.opengl

# Class GL42

java.lang.Object
org.lwjgl.opengl.GL42

public final class GL42 extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ACTIVE_ATOMIC_COUNTER_BUFFERS`
Accepted by the <pname> parameter of GetProgramiv:
`static final int`
`GL_ALL_BARRIER_BITS`
Accepted by the <barriers> parameter of MemoryBarrier:
`static final int`
`GL_ATOMIC_COUNTER_BARRIER_BIT`
Accepted by the <barriers> parameter of MemoryBarrier:
`static final int`
`GL_ATOMIC_COUNTER_BUFFER`
Accepted by the <target> parameter of BindBufferBase and BindBufferRange:
`static final int`
`GL_ATOMIC_COUNTER_BUFFER_ACTIVE_ATOMIC_COUNTER_INDICES`
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:
`static final int`
`GL_ATOMIC_COUNTER_BUFFER_ACTIVE_ATOMIC_COUNTERS`
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:
`static final int`
`GL_ATOMIC_COUNTER_BUFFER_BINDING`
Accepted by the <pname> parameter of GetBooleani_v, GetIntegeri_v, GetFloati_v, GetDoublei_v, GetInteger64i_v, GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, GetDoublev, and GetActiveAtomicCounterBufferiv:
`static final int`
`GL_ATOMIC_COUNTER_BUFFER_DATA_SIZE`
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:
`static final int`
`GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_FRAGMENT_SHADER`
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:
`static final int`
`GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_GEOMETRY_SHADER`
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:
`static final int`
`GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_TESS_CONTROL_SHADER`
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:
`static final int`
`GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_TESS_EVALUATION_SHADER`
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:
`static final int`
`GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_VERTEX_SHADER`
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:
`static final int`
`GL_ATOMIC_COUNTER_BUFFER_SIZE`
Accepted by the <pname> parameter of GetIntegeri_64v:
`static final int`
`GL_ATOMIC_COUNTER_BUFFER_START`
Accepted by the <pname> parameter of GetIntegeri_64v:
`static final int`
`GL_BUFFER_UPDATE_BARRIER_BIT`
Accepted by the <barriers> parameter of MemoryBarrier:
`static final int`
`GL_COMMAND_BARRIER_BIT`
Accepted by the <barriers> parameter of MemoryBarrier:
`static final int`
`GL_COMPRESSED_RGB_BPTC_SIGNED_FLOAT`
Accepted by the <internalformat> parameter of TexImage2D, TexImage3D, CopyTexImage2D, CopyTexImage3D, CompressedTexImage2DARB, and CompressedTexImage3DARB and the <format> parameter of CompressedTexSubImage2DARB and CompressedTexSubImage3DARB:
`static final int`
`GL_COMPRESSED_RGB_BPTC_UNSIGNED_FLOAT`
Accepted by the <internalformat> parameter of TexImage2D, TexImage3D, CopyTexImage2D, CopyTexImage3D, CompressedTexImage2DARB, and CompressedTexImage3DARB and the <format> parameter of CompressedTexSubImage2DARB and CompressedTexSubImage3DARB:
`static final int`
`GL_COMPRESSED_RGBA_BPTC_UNORM`
Accepted by the <internalformat> parameter of TexImage2D, TexImage3D, CopyTexImage2D, CopyTexImage3D, CompressedTexImage2DARB, and CompressedTexImage3DARB and the <format> parameter of CompressedTexSubImage2DARB and CompressedTexSubImage3DARB:
`static final int`
`GL_COMPRESSED_SRGB_ALPHA_BPTC_UNORM`
Accepted by the <internalformat> parameter of TexImage2D, TexImage3D, CopyTexImage2D, CopyTexImage3D, CompressedTexImage2DARB, and CompressedTexImage3DARB and the <format> parameter of CompressedTexSubImage2DARB and CompressedTexSubImage3DARB:
`static final int`
`GL_ELEMENT_ARRAY_BARRIER_BIT`
Accepted by the <barriers> parameter of MemoryBarrier:
`static final int`
`GL_FRAMEBUFFER_BARRIER_BIT`
Accepted by the <barriers> parameter of MemoryBarrier:
`static final int`
`GL_IMAGE_1D`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_IMAGE_1D_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_IMAGE_2D`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_IMAGE_2D_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_IMAGE_2D_MULTISAMPLE`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_IMAGE_2D_MULTISAMPLE_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_IMAGE_2D_RECT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_IMAGE_3D`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_IMAGE_BINDING_ACCESS`
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:
`static final int`
`GL_IMAGE_BINDING_FORMAT`
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:
`static final int`
`GL_IMAGE_BINDING_LAYER`
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:
`static final int`
`GL_IMAGE_BINDING_LAYERED`
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:
`static final int`
`GL_IMAGE_BINDING_LEVEL`
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:
`static final int`
`GL_IMAGE_BINDING_NAME`
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:
`static final int`
`GL_IMAGE_BUFFER`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_IMAGE_CUBE`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_IMAGE_CUBE_MAP_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_IMAGE_FORMAT_COMPATIBILITY_BY_SIZE`
Returned in the <data> parameter of GetTexParameteriv, GetTexParameterfv, GetTexParameterIiv, and GetTexParameterIuiv when <value> is IMAGE_FORMAT_COMPATIBILITY_TYPE:
`static final int`
`GL_IMAGE_FORMAT_COMPATIBILITY_TYPE`
Accepted by the <value> parameter of GetTexParameteriv, GetTexParameterfv, GetTexParameterIiv, and GetTexParameterIuiv:
`static final int`
`GL_INT_IMAGE_1D`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_IMAGE_1D_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_IMAGE_2D`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_IMAGE_2D_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_IMAGE_2D_MULTISAMPLE`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_IMAGE_2D_MULTISAMPLE_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_IMAGE_2D_RECT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_IMAGE_3D`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_IMAGE_BUFFER`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_IMAGE_CUBE`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_INT_IMAGE_CUBE_MAP_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_MAX_ATOMIC_COUNTER_BUFFER_BINDINGS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_ATOMIC_COUNTER_BUFFER_SIZE`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_COMBINED_ATOMIC_COUNTER_BUFFERS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_COMBINED_ATOMIC_COUNTERS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_COMBINED_IMAGE_UNIFORMS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static final int`
`GL_MAX_COMBINED_IMAGE_UNITS_AND_FRAGMENT_OUTPUTS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static final int`
`GL_MAX_FRAGMENT_ATOMIC_COUNTER_BUFFERS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_FRAGMENT_ATOMIC_COUNTERS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_FRAGMENT_IMAGE_UNIFORMS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static final int`
`GL_MAX_GEOMETRY_ATOMIC_COUNTER_BUFFERS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_GEOMETRY_ATOMIC_COUNTERS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_GEOMETRY_IMAGE_UNIFORMS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static final int`
`GL_MAX_IMAGE_SAMPLES`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static final int`
`GL_MAX_IMAGE_UNITS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static final int`
`GL_MAX_TESS_CONTROL_ATOMIC_COUNTER_BUFFERS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_TESS_CONTROL_ATOMIC_COUNTERS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_TESS_CONTROL_IMAGE_UNIFORMS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static final int`
`GL_MAX_TESS_EVALUATION_ATOMIC_COUNTER_BUFFERS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_TESS_EVALUATION_ATOMIC_COUNTERS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_TESS_EVALUATION_IMAGE_UNIFORMS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static final int`
`GL_MAX_VERTEX_ATOMIC_COUNTER_BUFFERS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_VERTEX_ATOMIC_COUNTERS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_VERTEX_IMAGE_UNIFORMS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:
`static final int`
`GL_MIN_MAP_BUFFER_ALIGNMENT`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_NUM_SAMPLE_COUNTS`
Accepted by the <pname> parameter of GetInternalformativ:
`static final int`
`GL_PACK_COMPRESSED_BLOCK_DEPTH`
Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_PACK_COMPRESSED_BLOCK_HEIGHT`
Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_PACK_COMPRESSED_BLOCK_SIZE`
Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_PACK_COMPRESSED_BLOCK_WIDTH`
Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_PIXEL_BUFFER_BARRIER_BIT`
Accepted by the <barriers> parameter of MemoryBarrier:
`static final int`
`GL_SHADER_IMAGE_ACCESS_BARRIER_BIT`
Accepted by the <barriers> parameter of MemoryBarrier:
`static final int`
`GL_TEXTURE_FETCH_BARRIER_BIT`
Accepted by the <barriers> parameter of MemoryBarrier:
`static final int`
`GL_TEXTURE_IMMUTABLE_FORMAT`
Accepted by the <value> parameter of GetTexParameter{if}v:
`static final int`
`GL_TEXTURE_UPDATE_BARRIER_BIT`
Accepted by the <barriers> parameter of MemoryBarrier:
`static final int`
`GL_TRANSFORM_FEEDBACK_BARRIER_BIT`
Accepted by the <barriers> parameter of MemoryBarrier:
`static final int`
`GL_UNIFORM_ATOMIC_COUNTER_BUFFER_INDEX`
Accepted by the <pname> parameter of GetActiveUniformsiv:
`static final int`
`GL_UNIFORM_BARRIER_BIT`
Accepted by the <barriers> parameter of MemoryBarrier:
`static final int`
`GL_UNPACK_COMPRESSED_BLOCK_DEPTH`
Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_UNPACK_COMPRESSED_BLOCK_HEIGHT`
Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_UNPACK_COMPRESSED_BLOCK_SIZE`
Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_UNPACK_COMPRESSED_BLOCK_WIDTH`
Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:
`static final int`
`GL_UNSIGNED_INT_ATOMIC_COUNTER`
Returned in <params> by GetActiveUniform and GetActiveUniformsiv:
`static final int`
`GL_UNSIGNED_INT_IMAGE_1D`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_IMAGE_1D_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_IMAGE_2D`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_IMAGE_2D_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_IMAGE_2D_RECT`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_IMAGE_3D`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_IMAGE_BUFFER`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_IMAGE_CUBE`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_UNSIGNED_INT_IMAGE_CUBE_MAP_ARRAY`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_VERTEX_ATTRIB_ARRAY_BARRIER_BIT`
Accepted by the <barriers> parameter of MemoryBarrier:
`static final int`
`IMAGE_FORMAT_COMPATIBILITY_BY_CLASS`
Returned in the <data> parameter of GetTexParameteriv, GetTexParameterfv, GetTexParameterIiv, and GetTexParameterIuiv when <value> is IMAGE_FORMAT_COMPATIBILITY_TYPE:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBindImageTexture(int unit, int texture, int level, boolean layered, int layer, int access, int format)`
`static void`
`glDrawArraysInstancedBaseInstance(int mode, int first, int count, int primcount, int baseinstance)`
`static void`
`glDrawElementsInstancedBaseInstance(int mode, int indices_count, int type, long indices_buffer_offset, int primcount, int baseinstance)`
`static void`
`glDrawElementsInstancedBaseInstance(int mode, ByteBuffer indices, int primcount, int baseinstance)`
`static void`
`glDrawElementsInstancedBaseInstance(int mode, IntBuffer indices, int primcount, int baseinstance)`
`static void`
`glDrawElementsInstancedBaseInstance(int mode, ShortBuffer indices, int primcount, int baseinstance)`
`static void`
`glDrawElementsInstancedBaseVertexBaseInstance(int mode, int indices_count, int type, long indices_buffer_offset, int primcount, int basevertex, int baseinstance)`
`static void`
`glDrawElementsInstancedBaseVertexBaseInstance(int mode, ByteBuffer indices, int primcount, int basevertex, int baseinstance)`
`static void`
`glDrawElementsInstancedBaseVertexBaseInstance(int mode, IntBuffer indices, int primcount, int basevertex, int baseinstance)`
`static void`
`glDrawElementsInstancedBaseVertexBaseInstance(int mode, ShortBuffer indices, int primcount, int basevertex, int baseinstance)`
`static void`
`glDrawTransformFeedbackInstanced(int mode, int id, int primcount)`
`static void`
`glDrawTransformFeedbackStreamInstanced(int mode, int id, int stream, int primcount)`
`static int`
`glGetActiveAtomicCounterBuffer(int program, int bufferIndex, int pname)`
Overloads glGetActiveAtomicCounterBufferiv.
`static void`
`glGetActiveAtomicCounterBuffer(int program, int bufferIndex, int pname, IntBuffer params)`
`static int`
`glGetInternalformat(int target, int internalformat, int pname)`
Overloads glGetInternalformativ.
`static void`
`glGetInternalformat(int target, int internalformat, int pname, IntBuffer params)`
`static void`
`glMemoryBarrier(int barriers)`
`static void`
`glTexStorage1D(int target, int levels, int internalformat, int width)`
`static void`
`glTexStorage2D(int target, int levels, int internalformat, int width, int height)`
`static void`
`glTexStorage3D(int target, int levels, int internalformat, int width, int height, int depth)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_COMPRESSED_RGBA_BPTC_UNORM

public static final int GL_COMPRESSED_RGBA_BPTC_UNORM
Accepted by the <internalformat> parameter of TexImage2D, TexImage3D, CopyTexImage2D, CopyTexImage3D, CompressedTexImage2DARB, and CompressedTexImage3DARB and the <format> parameter of CompressedTexSubImage2DARB and CompressedTexSubImage3DARB:

See Also:
  - Constant Field Values

### GL_COMPRESSED_SRGB_ALPHA_BPTC_UNORM

public static final int GL_COMPRESSED_SRGB_ALPHA_BPTC_UNORM
Accepted by the <internalformat> parameter of TexImage2D, TexImage3D, CopyTexImage2D, CopyTexImage3D, CompressedTexImage2DARB, and CompressedTexImage3DARB and the <format> parameter of CompressedTexSubImage2DARB and CompressedTexSubImage3DARB:

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGB_BPTC_SIGNED_FLOAT

public static final int GL_COMPRESSED_RGB_BPTC_SIGNED_FLOAT
Accepted by the <internalformat> parameter of TexImage2D, TexImage3D, CopyTexImage2D, CopyTexImage3D, CompressedTexImage2DARB, and CompressedTexImage3DARB and the <format> parameter of CompressedTexSubImage2DARB and CompressedTexSubImage3DARB:

See Also:
  - Constant Field Values

### GL_COMPRESSED_RGB_BPTC_UNSIGNED_FLOAT

public static final int GL_COMPRESSED_RGB_BPTC_UNSIGNED_FLOAT
Accepted by the <internalformat> parameter of TexImage2D, TexImage3D, CopyTexImage2D, CopyTexImage3D, CompressedTexImage2DARB, and CompressedTexImage3DARB and the <format> parameter of CompressedTexSubImage2DARB and CompressedTexSubImage3DARB:

See Also:
  - Constant Field Values

### GL_UNPACK_COMPRESSED_BLOCK_WIDTH

public static final int GL_UNPACK_COMPRESSED_BLOCK_WIDTH
Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_UNPACK_COMPRESSED_BLOCK_HEIGHT

public static final int GL_UNPACK_COMPRESSED_BLOCK_HEIGHT
Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_UNPACK_COMPRESSED_BLOCK_DEPTH

public static final int GL_UNPACK_COMPRESSED_BLOCK_DEPTH
Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_UNPACK_COMPRESSED_BLOCK_SIZE

public static final int GL_UNPACK_COMPRESSED_BLOCK_SIZE
Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_PACK_COMPRESSED_BLOCK_WIDTH

public static final int GL_PACK_COMPRESSED_BLOCK_WIDTH
Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_PACK_COMPRESSED_BLOCK_HEIGHT

public static final int GL_PACK_COMPRESSED_BLOCK_HEIGHT
Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_PACK_COMPRESSED_BLOCK_DEPTH

public static final int GL_PACK_COMPRESSED_BLOCK_DEPTH
Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_PACK_COMPRESSED_BLOCK_SIZE

public static final int GL_PACK_COMPRESSED_BLOCK_SIZE
Accepted by the <pname> parameter of PixelStore[fi], GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_ATOMIC_COUNTER_BUFFER

public static final int GL_ATOMIC_COUNTER_BUFFER
Accepted by the <target> parameter of BindBufferBase and BindBufferRange:

See Also:
  - Constant Field Values

### GL_ATOMIC_COUNTER_BUFFER_BINDING

public static final int GL_ATOMIC_COUNTER_BUFFER_BINDING
Accepted by the <pname> parameter of GetBooleani_v, GetIntegeri_v, GetFloati_v, GetDoublei_v, GetInteger64i_v, GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, GetDoublev, and GetActiveAtomicCounterBufferiv:

See Also:
  - Constant Field Values

### GL_ATOMIC_COUNTER_BUFFER_START

public static final int GL_ATOMIC_COUNTER_BUFFER_START
Accepted by the <pname> parameter of GetIntegeri_64v:

See Also:
  - Constant Field Values

### GL_ATOMIC_COUNTER_BUFFER_SIZE

public static final int GL_ATOMIC_COUNTER_BUFFER_SIZE
Accepted by the <pname> parameter of GetIntegeri_64v:

See Also:
  - Constant Field Values

### GL_ATOMIC_COUNTER_BUFFER_DATA_SIZE

public static final int GL_ATOMIC_COUNTER_BUFFER_DATA_SIZE
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:

See Also:
  - Constant Field Values

### GL_ATOMIC_COUNTER_BUFFER_ACTIVE_ATOMIC_COUNTERS

public static final int GL_ATOMIC_COUNTER_BUFFER_ACTIVE_ATOMIC_COUNTERS
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:

See Also:
  - Constant Field Values

### GL_ATOMIC_COUNTER_BUFFER_ACTIVE_ATOMIC_COUNTER_INDICES

public static final int GL_ATOMIC_COUNTER_BUFFER_ACTIVE_ATOMIC_COUNTER_INDICES
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:

See Also:
  - Constant Field Values

### GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_VERTEX_SHADER

public static final int GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_VERTEX_SHADER
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:

See Also:
  - Constant Field Values

### GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_TESS_CONTROL_SHADER

public static final int GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_TESS_CONTROL_SHADER
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:

See Also:
  - Constant Field Values

### GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_TESS_EVALUATION_SHADER

public static final int GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_TESS_EVALUATION_SHADER
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:

See Also:
  - Constant Field Values

### GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_GEOMETRY_SHADER

public static final int GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_GEOMETRY_SHADER
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:

See Also:
  - Constant Field Values

### GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_FRAGMENT_SHADER

public static final int GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_FRAGMENT_SHADER
Accepted by the <pname> parameter of GetActiveAtomicCounterBufferiv:

See Also:
  - Constant Field Values

### GL_MAX_VERTEX_ATOMIC_COUNTER_BUFFERS

public static final int GL_MAX_VERTEX_ATOMIC_COUNTER_BUFFERS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_TESS_CONTROL_ATOMIC_COUNTER_BUFFERS

public static final int GL_MAX_TESS_CONTROL_ATOMIC_COUNTER_BUFFERS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_TESS_EVALUATION_ATOMIC_COUNTER_BUFFERS

public static final int GL_MAX_TESS_EVALUATION_ATOMIC_COUNTER_BUFFERS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_GEOMETRY_ATOMIC_COUNTER_BUFFERS

public static final int GL_MAX_GEOMETRY_ATOMIC_COUNTER_BUFFERS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_FRAGMENT_ATOMIC_COUNTER_BUFFERS

public static final int GL_MAX_FRAGMENT_ATOMIC_COUNTER_BUFFERS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_COMBINED_ATOMIC_COUNTER_BUFFERS

public static final int GL_MAX_COMBINED_ATOMIC_COUNTER_BUFFERS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_VERTEX_ATOMIC_COUNTERS

public static final int GL_MAX_VERTEX_ATOMIC_COUNTERS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_TESS_CONTROL_ATOMIC_COUNTERS

public static final int GL_MAX_TESS_CONTROL_ATOMIC_COUNTERS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_TESS_EVALUATION_ATOMIC_COUNTERS

public static final int GL_MAX_TESS_EVALUATION_ATOMIC_COUNTERS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_GEOMETRY_ATOMIC_COUNTERS

public static final int GL_MAX_GEOMETRY_ATOMIC_COUNTERS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_FRAGMENT_ATOMIC_COUNTERS

public static final int GL_MAX_FRAGMENT_ATOMIC_COUNTERS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_COMBINED_ATOMIC_COUNTERS

public static final int GL_MAX_COMBINED_ATOMIC_COUNTERS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_ATOMIC_COUNTER_BUFFER_SIZE

public static final int GL_MAX_ATOMIC_COUNTER_BUFFER_SIZE
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_ATOMIC_COUNTER_BUFFER_BINDINGS

public static final int GL_MAX_ATOMIC_COUNTER_BUFFER_BINDINGS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_ACTIVE_ATOMIC_COUNTER_BUFFERS

public static final int GL_ACTIVE_ATOMIC_COUNTER_BUFFERS
Accepted by the <pname> parameter of GetProgramiv:

See Also:
  - Constant Field Values

### GL_UNIFORM_ATOMIC_COUNTER_BUFFER_INDEX

public static final int GL_UNIFORM_ATOMIC_COUNTER_BUFFER_INDEX
Accepted by the <pname> parameter of GetActiveUniformsiv:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_ATOMIC_COUNTER

public static final int GL_UNSIGNED_INT_ATOMIC_COUNTER
Returned in <params> by GetActiveUniform and GetActiveUniformsiv:

See Also:
  - Constant Field Values

### GL_TEXTURE_IMMUTABLE_FORMAT

public static final int GL_TEXTURE_IMMUTABLE_FORMAT
Accepted by the <value> parameter of GetTexParameter{if}v:

See Also:
  - Constant Field Values

### GL_MAX_IMAGE_UNITS

public static final int GL_MAX_IMAGE_UNITS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_COMBINED_IMAGE_UNITS_AND_FRAGMENT_OUTPUTS

public static final int GL_MAX_COMBINED_IMAGE_UNITS_AND_FRAGMENT_OUTPUTS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_IMAGE_SAMPLES

public static final int GL_MAX_IMAGE_SAMPLES
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_VERTEX_IMAGE_UNIFORMS

public static final int GL_MAX_VERTEX_IMAGE_UNIFORMS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_TESS_CONTROL_IMAGE_UNIFORMS

public static final int GL_MAX_TESS_CONTROL_IMAGE_UNIFORMS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_TESS_EVALUATION_IMAGE_UNIFORMS

public static final int GL_MAX_TESS_EVALUATION_IMAGE_UNIFORMS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_GEOMETRY_IMAGE_UNIFORMS

public static final int GL_MAX_GEOMETRY_IMAGE_UNIFORMS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_FRAGMENT_IMAGE_UNIFORMS

public static final int GL_MAX_FRAGMENT_IMAGE_UNIFORMS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_MAX_COMBINED_IMAGE_UNIFORMS

public static final int GL_MAX_COMBINED_IMAGE_UNIFORMS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, and GetInteger64v:

See Also:
  - Constant Field Values

### GL_IMAGE_BINDING_NAME

public static final int GL_IMAGE_BINDING_NAME
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:

See Also:
  - Constant Field Values

### GL_IMAGE_BINDING_LEVEL

public static final int GL_IMAGE_BINDING_LEVEL
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:

See Also:
  - Constant Field Values

### GL_IMAGE_BINDING_LAYERED

public static final int GL_IMAGE_BINDING_LAYERED
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:

See Also:
  - Constant Field Values

### GL_IMAGE_BINDING_LAYER

public static final int GL_IMAGE_BINDING_LAYER
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:

See Also:
  - Constant Field Values

### GL_IMAGE_BINDING_ACCESS

public static final int GL_IMAGE_BINDING_ACCESS
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:

See Also:
  - Constant Field Values

### GL_IMAGE_BINDING_FORMAT

public static final int GL_IMAGE_BINDING_FORMAT
Accepted by the <target> parameter of GetIntegeri_v and GetBooleani_v:

See Also:
  - Constant Field Values

### GL_VERTEX_ATTRIB_ARRAY_BARRIER_BIT

public static final int GL_VERTEX_ATTRIB_ARRAY_BARRIER_BIT
Accepted by the <barriers> parameter of MemoryBarrier:

See Also:
  - Constant Field Values

### GL_ELEMENT_ARRAY_BARRIER_BIT

public static final int GL_ELEMENT_ARRAY_BARRIER_BIT
Accepted by the <barriers> parameter of MemoryBarrier:

See Also:
  - Constant Field Values

### GL_UNIFORM_BARRIER_BIT

public static final int GL_UNIFORM_BARRIER_BIT
Accepted by the <barriers> parameter of MemoryBarrier:

See Also:
  - Constant Field Values

### GL_TEXTURE_FETCH_BARRIER_BIT

public static final int GL_TEXTURE_FETCH_BARRIER_BIT
Accepted by the <barriers> parameter of MemoryBarrier:

See Also:
  - Constant Field Values

### GL_SHADER_IMAGE_ACCESS_BARRIER_BIT

public static final int GL_SHADER_IMAGE_ACCESS_BARRIER_BIT
Accepted by the <barriers> parameter of MemoryBarrier:

See Also:
  - Constant Field Values

### GL_COMMAND_BARRIER_BIT

public static final int GL_COMMAND_BARRIER_BIT
Accepted by the <barriers> parameter of MemoryBarrier:

See Also:
  - Constant Field Values

### GL_PIXEL_BUFFER_BARRIER_BIT

public static final int GL_PIXEL_BUFFER_BARRIER_BIT
Accepted by the <barriers> parameter of MemoryBarrier:

See Also:
  - Constant Field Values

### GL_TEXTURE_UPDATE_BARRIER_BIT

public static final int GL_TEXTURE_UPDATE_BARRIER_BIT
Accepted by the <barriers> parameter of MemoryBarrier:

See Also:
  - Constant Field Values

### GL_BUFFER_UPDATE_BARRIER_BIT

public static final int GL_BUFFER_UPDATE_BARRIER_BIT
Accepted by the <barriers> parameter of MemoryBarrier:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_BARRIER_BIT

public static final int GL_FRAMEBUFFER_BARRIER_BIT
Accepted by the <barriers> parameter of MemoryBarrier:

See Also:
  - Constant Field Values

### GL_TRANSFORM_FEEDBACK_BARRIER_BIT

public static final int GL_TRANSFORM_FEEDBACK_BARRIER_BIT
Accepted by the <barriers> parameter of MemoryBarrier:

See Also:
  - Constant Field Values

### GL_ATOMIC_COUNTER_BARRIER_BIT

public static final int GL_ATOMIC_COUNTER_BARRIER_BIT
Accepted by the <barriers> parameter of MemoryBarrier:

See Also:
  - Constant Field Values

### GL_ALL_BARRIER_BITS

public static final int GL_ALL_BARRIER_BITS
Accepted by the <barriers> parameter of MemoryBarrier:

See Also:
  - Constant Field Values

### GL_IMAGE_1D

public static final int GL_IMAGE_1D
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_IMAGE_2D

public static final int GL_IMAGE_2D
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_IMAGE_3D

public static final int GL_IMAGE_3D
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_IMAGE_2D_RECT

public static final int GL_IMAGE_2D_RECT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_IMAGE_CUBE

public static final int GL_IMAGE_CUBE
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_IMAGE_BUFFER

public static final int GL_IMAGE_BUFFER
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_IMAGE_1D_ARRAY

public static final int GL_IMAGE_1D_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_IMAGE_2D_ARRAY

public static final int GL_IMAGE_2D_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_IMAGE_CUBE_MAP_ARRAY

public static final int GL_IMAGE_CUBE_MAP_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_IMAGE_2D_MULTISAMPLE

public static final int GL_IMAGE_2D_MULTISAMPLE
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_IMAGE_2D_MULTISAMPLE_ARRAY

public static final int GL_IMAGE_2D_MULTISAMPLE_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_1D

public static final int GL_INT_IMAGE_1D
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_2D

public static final int GL_INT_IMAGE_2D
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_3D

public static final int GL_INT_IMAGE_3D
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_2D_RECT

public static final int GL_INT_IMAGE_2D_RECT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_CUBE

public static final int GL_INT_IMAGE_CUBE
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_BUFFER

public static final int GL_INT_IMAGE_BUFFER
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_1D_ARRAY

public static final int GL_INT_IMAGE_1D_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_2D_ARRAY

public static final int GL_INT_IMAGE_2D_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_CUBE_MAP_ARRAY

public static final int GL_INT_IMAGE_CUBE_MAP_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_2D_MULTISAMPLE

public static final int GL_INT_IMAGE_2D_MULTISAMPLE
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_IMAGE_2D_MULTISAMPLE_ARRAY

public static final int GL_INT_IMAGE_2D_MULTISAMPLE_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_1D

public static final int GL_UNSIGNED_INT_IMAGE_1D
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_2D

public static final int GL_UNSIGNED_INT_IMAGE_2D
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_3D

public static final int GL_UNSIGNED_INT_IMAGE_3D
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_2D_RECT

public static final int GL_UNSIGNED_INT_IMAGE_2D_RECT
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_CUBE

public static final int GL_UNSIGNED_INT_IMAGE_CUBE
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_BUFFER

public static final int GL_UNSIGNED_INT_IMAGE_BUFFER
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_1D_ARRAY

public static final int GL_UNSIGNED_INT_IMAGE_1D_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_2D_ARRAY

public static final int GL_UNSIGNED_INT_IMAGE_2D_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_CUBE_MAP_ARRAY

public static final int GL_UNSIGNED_INT_IMAGE_CUBE_MAP_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE

public static final int GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE_ARRAY

public static final int GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE_ARRAY
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_IMAGE_FORMAT_COMPATIBILITY_TYPE

public static final int GL_IMAGE_FORMAT_COMPATIBILITY_TYPE
Accepted by the <value> parameter of GetTexParameteriv, GetTexParameterfv, GetTexParameterIiv, and GetTexParameterIuiv:

See Also:
  - Constant Field Values

### GL_IMAGE_FORMAT_COMPATIBILITY_BY_SIZE

public static final int GL_IMAGE_FORMAT_COMPATIBILITY_BY_SIZE
Returned in the <data> parameter of GetTexParameteriv, GetTexParameterfv, GetTexParameterIiv, and GetTexParameterIuiv when <value> is IMAGE_FORMAT_COMPATIBILITY_TYPE:

See Also:
  - Constant Field Values

### IMAGE_FORMAT_COMPATIBILITY_BY_CLASS

public static final int IMAGE_FORMAT_COMPATIBILITY_BY_CLASS
Returned in the <data> parameter of GetTexParameteriv, GetTexParameterfv, GetTexParameterIiv, and GetTexParameterIuiv when <value> is IMAGE_FORMAT_COMPATIBILITY_TYPE:

See Also:
  - Constant Field Values

### GL_NUM_SAMPLE_COUNTS

public static final int GL_NUM_SAMPLE_COUNTS
Accepted by the <pname> parameter of GetInternalformativ:

See Also:
  - Constant Field Values

### GL_MIN_MAP_BUFFER_ALIGNMENT

public static final int GL_MIN_MAP_BUFFER_ALIGNMENT
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetInteger64v, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

## Method Details

### glGetActiveAtomicCounterBuffer

public static void glGetActiveAtomicCounterBuffer(int program, int bufferIndex, int pname, IntBuffer params)

### glGetActiveAtomicCounterBuffer

public static int glGetActiveAtomicCounterBuffer(int program, int bufferIndex, int pname)
Overloads glGetActiveAtomicCounterBufferiv.

### glTexStorage1D

public static void glTexStorage1D(int target, int levels, int internalformat, int width)

### glTexStorage2D

public static void glTexStorage2D(int target, int levels, int internalformat, int width, int height)

### glTexStorage3D

public static void glTexStorage3D(int target, int levels, int internalformat, int width, int height, int depth)

### glDrawTransformFeedbackInstanced

public static void glDrawTransformFeedbackInstanced(int mode, int id, int primcount)

### glDrawTransformFeedbackStreamInstanced

public static void glDrawTransformFeedbackStreamInstanced(int mode, int id, int stream, int primcount)

### glDrawArraysInstancedBaseInstance

public static void glDrawArraysInstancedBaseInstance(int mode, int first, int count, int primcount, int baseinstance)

### glDrawElementsInstancedBaseInstance

public static void glDrawElementsInstancedBaseInstance(int mode, ByteBuffer indices, int primcount, int baseinstance)

### glDrawElementsInstancedBaseInstance

public static void glDrawElementsInstancedBaseInstance(int mode, IntBuffer indices, int primcount, int baseinstance)

### glDrawElementsInstancedBaseInstance

public static void glDrawElementsInstancedBaseInstance(int mode, ShortBuffer indices, int primcount, int baseinstance)

### glDrawElementsInstancedBaseInstance

public static void glDrawElementsInstancedBaseInstance(int mode, int indices_count, int type, long indices_buffer_offset, int primcount, int baseinstance)

### glDrawElementsInstancedBaseVertexBaseInstance

public static void glDrawElementsInstancedBaseVertexBaseInstance(int mode, ByteBuffer indices, int primcount, int basevertex, int baseinstance)

### glDrawElementsInstancedBaseVertexBaseInstance

public static void glDrawElementsInstancedBaseVertexBaseInstance(int mode, IntBuffer indices, int primcount, int basevertex, int baseinstance)

### glDrawElementsInstancedBaseVertexBaseInstance

public static void glDrawElementsInstancedBaseVertexBaseInstance(int mode, ShortBuffer indices, int primcount, int basevertex, int baseinstance)

### glDrawElementsInstancedBaseVertexBaseInstance

public static void glDrawElementsInstancedBaseVertexBaseInstance(int mode, int indices_count, int type, long indices_buffer_offset, int primcount, int basevertex, int baseinstance)

### glBindImageTexture

public static void glBindImageTexture(int unit, int texture, int level, boolean layered, int layer, int access, int format)

### glMemoryBarrier

public static void glMemoryBarrier(int barriers)

### glGetInternalformat

public static void glGetInternalformat(int target, int internalformat, int pname, IntBuffer params)

### glGetInternalformat

public static int glGetInternalformat(int target, int internalformat, int pname)
Overloads glGetInternalformativ.